%define name	briquolo
%define Name	Briquolo
%define version 0.5.2
%define release 2mdk
%define summary	A Open-GL brick game

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	http://briquolo.free.fr/download/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
BuildRequires:	SDL1.2-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer1.2-devel
BuildRequires:	dos2unix
Group:		Games/Arcade
License:	GPL
URL:		http://briquolo.free.fr/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Briquolo is a 3D brick game using OpenGL

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
dos2unix data/tableau/old/{001,002,003,006}.tab

%build
%configure

%make

%install
%makeinstall

#this empty file makes rpmlint shoting otherwise...
cat > $RPM_BUILD_ROOT/%{_datadir}/%{name}/%{version} <<EOF
%{version}
EOF

%find_lang %{name}

install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	section="More Applications/Games/Arcade"\\
	icon="%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{summary}"
EOF

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING DejaVuSans.ttf-LICENSE INSTALL README README.fr
%attr(0755,root,games) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Thu Mar 03 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.5.2-2mdk
- Don't delete "witness file" but make it non-empty to make rpmlint happy.

* Wed Mar 02 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.5.2-1mdk
- First Mandrakelinux package.